using System;

namespace Treci_Zadatak___Slova
{
    class Program
    {
        static void Main(string[] args)
        {
            int i, j, n;
            long nacini = 1;
            string unos;
            n = int.Parse(Console.ReadLine());
            unos = Console.ReadLine();
            unos = '0' + unos + '0';
            char[] a = unos.ToCharArray();
            int[] br = new int[n + 2];

            for (i = 1; i < n + 1; i++)
            {
                if (a[i] == a[i - 1])
                {
                    br[i] = 1;
                }
                else if (a[i] == a[i + 1])
                {
                    j = i;
                    br[i] = 1;
                    while (a[j] == a[j + 1])
                    {
                        br[i]++;
                        j++;
                    }
                }
                else
                    br[i] = 1;
            }

            br[0] = 1;
            br[n + 1] = 1;

            for(i = 0; i < n; i++)
            {
                nacini *= br[i];
            }

            nacini = nacini % 1000000007;
                
            Console.WriteLine(nacini);
        }
    }
}